• wersja jest wymaganym polem